Name:           chirp
Version:        20190314
Release:        %mkrel 1
Summary:        A tool for programming radio equipment
Group:          Communications/Radio
License:        GPLv3+
URL:            http://chirp.danplanet.com/
Source0:        https://trac.chirp.danplanet.com/chirp_daily/LATEST/chirp-daily-%{version}.tar.gz
Patch0:         chirp-0.2.2-install.patch
Patch1:         chirp-20190201-mga-dont_nag_so_much_about_updates.patch

BuildArch:      noarch

BuildRequires:  pkgconfig(python)
BuildRequires:  desktop-file-utils
BuildRequires:  libxml2-python
BuildRequires:  python-serial

Requires:       libxml2-python
Requires:       python-serial
Requires:       python-suds
Requires:       pygtk2.0

%description
CHIRP is an open-source tool for programming radio tranceivers.
It supports a large number of manufacturers and models, as well as providing
a way to interface with multiple data sources and formats.

%prep
%autosetup -p1 -n %{name}-daily-%{version}

%build
%py2_build

%install
%{__python} setup.py install -O1 --skip-build --root="%{buildroot}" --prefix="%{_prefix}"

cat>%{buildroot}%{_datadir}/applications/%{name}.desktop<<EOF
[Desktop Entry]
Name=Chirp
GenericName=chirp
Exec=chirpw
Icon=chirp
Terminal=false
Type=Application
Categories=Network;HamRadio;
Version=1.0
Comment=CHIRP Radio Programming Tool
EOF

desktop-file-install \
        --dir=%{buildroot}%{_datadir}/applications \
        %{buildroot}%{_datadir}/applications/%{name}.desktop

%files
%doc COPYING
%{_bindir}/*
%{python2_sitelib}/%{name}-daily_%{version}-py2.7.egg-info
%{python2_sitelib}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/
%{_mandir}/man1/*
%{_datadir}/pixmaps/%{name}.png


%changelog
* Fri Mar 15 2019 barjac <barjac> 20190314-1.mga6
+ Revision: 1377149
- update to current daily
- patch to reduce nagging about updates
- use autosetup and tidy spec
- add Requires: pygtk2.0
- Fix for Mga#24329 (ImportError: No module named gtk)

* Tue Feb 09 2016 umeabot <umeabot> 0.4.1-2.mga6
+ Revision: 950993
- Mageia 6 Mass Rebuild

* Sat Nov 29 2014 barjac <barjac> 0.4.1-1.mga5
+ Revision: 799811
+ rebuild (emptylog)

* Fri Nov 28 2014 barjac <barjac> 0.4.1-0.mga5
+ Revision: 799731
- new version 0.4.1
- fixes critical bug that could cause RX to fail on UV5-r series

* Wed Oct 15 2014 umeabot <umeabot> 0.4.0-4.mga5
+ Revision: 746209
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.4.0-3.mga5
+ Revision: 726069
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.4.0-2.mga5
+ Revision: 678378
- Mageia 5 Mass Rebuild

* Sat Aug 02 2014 barjac <barjac> 0.4.0-1.mga5
+ Revision: 659215
- new version
- tidy spec
- desktop file into spec
- import from Fedora with thanks

